This is the mail archive of the
cluster-cvs@sourceware.org
mailing list for the cluster.
cluster: STABLE3 - cman init: clean up status check
- From: "Fabio M. Di Nitto" <fabbione at fedoraproject dot org>
- To: cluster-cvs-relay at redhat dot com
- Date: Fri, 27 Mar 2009 19:06:49 +0000 (UTC)
- Subject: cluster: STABLE3 - cman init: clean up status check
Gitweb: http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=5107d461e84ab84a05e8f0c34bf91b0ef36951b5
Commit: 5107d461e84ab84a05e8f0c34bf91b0ef36951b5
Parent: c062d7a1a908bdd35f9b7dfd2fdf67f7600dcc9e
Author: Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate: Thu Mar 26 11:51:27 2009 +0100
Committer: Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Fri Mar 27 20:05:46 2009 +0100
cman init: clean up status check
check daemons in the right order
Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
cman/init.d/cman.in | 13 +++++++------
1 files changed, 7 insertions(+), 6 deletions(-)
diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 09e0580..cdb3a24 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -699,6 +699,13 @@ stop()
cmanstatus()
{
+ errmsg=$( status corosync 2>&1 ) || return 1
+ cman_running || return 1
+
+ if qdiskd_enabled; then
+ errmsg=$( status qdiskd 2>&1) || return 1
+ fi
+
if groupd_enabled; then
errmsg=$( status groupd 2>&1) || return 1
fi
@@ -711,12 +718,6 @@ cmanstatus()
errmsg=$( status cmannotifyd 2>&1) || return 1
fi
- if qdiskd_enabled; then
- errmsg=$( status qdiskd 2>&1) || return 1
- fi
-
- errmsg=$( status corosync 2>&1) || return 1
-
if fence_xvmd_enabled; then
errmsg=$( status fence_xvmd 2>&1) || return 1
fi